Fork me on GitHub"

# skbio.diversity.alpha.chao1

`skbio.diversity.alpha.``chao1`(counts, bias_corrected=True)

  Calculate chao1 richness estimator.

  State: Experimental as of 0.4.0.

  Uses the bias-corrected version unless bias_corrected is `False` and there are both singletons and doubletons.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  bias_corrected : bool, optional

  > Indicates whether or not to use the bias-corrected version of the equation. If `False` and there are both singletons and doubletons, the uncorrected version will be used. The biased-corrected version will be used otherwise.

  Returns:

  double

  > Computed chao1 richness estimator.

  See also

  `chao1_ci`

  Notes

  The uncorrected version is based on Equation 6 in [R4343]:

  \[chao1=S_{obs}+\frac{F_1^2}{2F_2}\]

  where \(F_1\) and \(F_2\) are the count of singletons and doubletons, respectively.

  The bias-corrected version is defined as

  \[chao1=S_{obs}+\frac{F_1(F_1-1)}{2(F_2+1)}\]

  References

  [R4343] | (1, 2) Chao, A. 1984. Non-parametric estimation of the number of classes in a population. Scandinavian Journal of Statistics 11, 265-270.